
public class Hauptklasse {

	private void test1() {
		System.out.println("test1");
		// erzeugt ein Array mit 4 int-Werten!
		// die "Werte" sind schon vorhanden und mit Null initialisiert.
		int[] feld = new int[4];
		for (int value : feld) {
			System.out.println(value);
		}
	}

	class Pruefung {
		public int mnr = 0;
		public double note = 0.0;

		public Pruefung(int mnr, double note) {
			this.mnr = mnr;
			this.note = note;
		}
	} // Pruefung

	private void test2() {
		System.out.println("\ntest2");
		// erzeugt ein Array mit 4 Fächern,
		// in der VIER Instanzen der Klasse Pruefung eingefügt werden können.
		// die Fächer sind also noch Null.
		Pruefung[] feld = new Pruefung[4];
		feld[0] = new Pruefung(12345, 1.3);
		feld[1] = new Pruefung(12349, 4.0);
		feld[2] = new Pruefung(12645, 2.3);
		feld[3] = new Pruefung(15345, 3.7);

		double minNote = 0.0;
		double maxNote = 0.0;
		double summe = 0.0;
		if (feld!=null && feld.length > 0) {
			// es gibt mindestens eine Note
			minNote = maxNote = feld[0].note;
			for (Pruefung p : feld) {
				System.out.println(p.mnr + "  " + p.note);
				if (p.note < minNote) {
					minNote = p.note;
				}
				if (p.note > maxNote) {
					maxNote = p.note;
				}
				summe+=p.note;
			}
			System.out.println("minNote: " + minNote);
			System.out.println("maxNote: " + maxNote);
			double durchschnitt = summe / feld.length;
			System.out.println("Durchschnittsnote: " + durchschnitt);
		}
		else {
			System.out.println("Keine Daten vorhanden");
		}
		
	}

	public static void main(String[] args) {
		Hauptklasse instanz = new Hauptklasse();
		instanz.test2();
	}

}
